import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.Timer;

/**
 * @version 1, Oct 10
 * In this version, the Counter acts as its own ActionListener, and also starts
 * its own Timer.
 */
public class Counter implements ActionListener

{
    private int current = 0;

    public void startCounting ()
    {
        Timer t = new Timer(1000, this);
        t.start();
    }
    
    public void actionPerformed (ActionEvent e)
    {
        this.current++;
        System.out.println ("Counter is " + this.current);
    }
}
